/* Change default indent to Cherry Service List Grid System */
.cherry-services.services-wrap {
	.cherry-services-row {
		@include make-row();
	}
	&.services-collapse-rows {
		.cherry-services-row {
			margin-left: 0;
			margin-right: 0;
		}
	}
}

/* Services headings */
.services-heading{
	&_super_title,
	&_subtitle,
	&_title {

		& + .cherry-services-filter,
		& + .cherry-services.services-wrap {
			margin-top: 50px;
		}
	}
}

/* Filters and loaders */
.cherry-services {
	position: relative;
	.services-listing {
		transition: all 300ms linear;
		opacity: 1;
	}
	&.in-progress {
		.services-listing {
			opacity: 0;
		}
	}

	.services-loader {
		position: absolute;
		left: 50%;
		top: 50%;
		transform: translateX(-50%);

		.cherry-spinner {
			width: 90px;
			height: 90px;
			left: 50%;
			top: 50%;
			margin-left: -45px;
			margin-top: -45px;
			display: block;
			position: relative;
		}
		&.loader-small {
			bottom: 0;
			top: auto;
			.cherry-spinner {
				width: 40px;
				height: 40px;
				margin-left: -20px;
				margin-top: -20px;
			}
		}
	}
}

.services-container {
	.cherry-services-filter {
		@include cherry-filters;
	}

	.ajax-more-btn {
		margin-top: 10px;
	}

	.services-ajax-pager {
		margin: 10px 0 0;
	}
	
	.template-cards + .services-ajax-pager {
		margin-top: 45px;
	}

	.nav-links {
		text-align: left;

		.page-numbers.current {
			pointer-events: none;
		}
	}
}

/* Services item */
.cherry-services {
	.services-item {
		padding-bottom: 55px;
		text-align: center;
		@include media-breakpoint-up(md) {
			text-align: left;
		}
		* + .title_wrap {
			margin-top: 25px;
		}
		* + .content_wrap,
		* + .descr_wrap {
			margin-top: 10px;
		}

		* + .btn_wrap:not(:empty),
		* + .btn,
		* + .btn-link {
			margin-top: 20px;
		}

		.content_wrap,
		.descr_wrap {
			font-size: 16px;
			line-height: 1.5;
		}
	}

	.service-icon {
		text-align: center;
		margin-bottom: 0;
		@include media-breakpoint-up(md) {
			text-align: left;
		}
		i {
			font-size: 50px;
		}
	}

	.invert .service-icon {
		color: inherit;
	}
}

.template-media-icon .services-item,
.template-media-icon .service-icon {
	text-align: center;
}


/*Template Default*/
.cherry-services.template-default {
	.services-item {
		padding-bottom: 40px;
	}
}

/*Template Cards*/
.cherry-services.template-cards {
	.services-item {
		text-align: left;
		padding-top: 15px;
		padding-bottom: 15px;
		display: flex;

		&-inner {
			@include card;
			width: 100%;
			display: flex;
			flex-direction: column;

			> * {
				width: 100%;
			}
		}
	}

	.image_wrap {
		img {
			width: 100%;
		}
	}

	.service-cards-content {
		padding: 25px 20px;
		flex-grow: 1;
		display: flex;
		flex-direction: column;

		@include media-breakpoint-up(md) {
			padding: 25px 40px;
		}

		> * {
			width: 100%;
		}
	}

	* + .btn,
	* + .btn-link {
		margin-top: auto;
		padding-top: 20px;
	}

	$big-grid-breakpoints: ( md, lg, xl );

	@each $breakpoint in $big-grid-breakpoints {

		.col-#{$breakpoint}-3,
		.col-#{$breakpoint}-2 {

			.service-cards-content {
				@include media-breakpoint-up($breakpoint) {
					padding: 25px 20px;
				}
			}
		}
	}

	.col-md-4 {
		.service-cards-content {
			@include media-breakpoint-between(md, lg) {
				padding: 25px 20px;
			}
		}
	}
}

/*Template Media-icon-2*/
.cherry-services.template-media-icon-2 {
	.services-item {
		@include media-breakpoint-up(md) {
			display: flex;
		}
	}

	.service-icon {
		flex-shrink: 0;
		margin-bottom: 25px;
		@include media-breakpoint-up(md) {
			margin-top: 5px;
			margin-right: 30px;
			margin-bottom: 0;
		}

	}
}

/*Template Media-icon-3*/
.cherry-services.template-media-icon-3 {
	.services-item {
		text-align: center;
		padding-top: 15px;
		padding-bottom: 15px;
		display: flex;
	}
	
	.title_wrap a {
		border-bottom: 1px solid transparent;
		
		&:hover {
			color: inherit;
			border-bottom-color: currentColor;
		}
	}

	.services-item-inner {
		min-height: 270px;
		padding: 15px;
		display: flex;
		flex-direction: column;
		justify-content: center;
		flex-grow: 1;
		transition: .3s;
	}

	.service-icon {
		text-align: center;
	}
}

/*Template template-media-icon-bg*/
$transition-time-default: cubic-bezier(0.530, 0.645, 0.510, 1.340);
$transition-time-hover: cubic-bezier(1.000, -0.050, 1.000, 1.000);

.cherry-services.template-media-icon-bg {
	.services-item {

		.image_wrap {
			position: absolute;
			top: 0;
			left: 0;
			bottom: 0;
			right: 0;
			overflow: hidden;
			z-index: 1;
			opacity: 0;
			will-change: transform;
			transition-delay: 0.2s;
			transform: scale(1.15) translateY(-20px);

			.services-macros {
				height: 100%;
			}

			img {
				object-fit: cover;
				object-position: center;
				width: 100%;
				height: 100%;
				.ie & {
					font-family: 'object-fit: cover';
				}
			}
		}

		&-inner {
			height: 100%;
			overflow: hidden;
			position: relative;
			padding: 25px;
			border-style: solid;
			border-width: 1px;

			@include media-breakpoint-up(lg) {
				padding: 50px 50px 43px;
			}

			> *:not(.image_wrap) {
				position: relative;
				z-index: 5;
			}

			.image_wrap,
			.icon_wrap i,
			.title_wrap,
			.icon_wrap,
			.content_wrap,
			.descr_wrap,
			&:before{
				transition: .3s $transition-time-default;
			}

			.title_wrap a {
				border-bottom: 1px solid transparent;

				&:hover {
					border-bottom-color: currentColor;
				}
			}

			&:before,
			&:after{
				content:'';
				position: absolute;
				left: 0;
				right: 0;
				top: -100%;
				bottom: 0;
				z-index: 2;
			}

			&:before{
				transition-delay: 0.25s;
			}

			&:after{
				top: 0;
				transition: .3s;
				background-color: white;
			}

			&:hover{

				&:before{
					transition: .4s cubic-bezier(0.010, 0.285, 0.310, 1.005);
					top:0;
					transition-delay: .3s;
				}

				.image_wrap{
					transition: .4s cubic-bezier(0.010, 0.285, 0.310, 1.005);
					opacity: 1;
					transform:translateY(20px) scale(1.15);
					transition-delay: 0s;
				}

				&:after{
					top:100%;
					transition: .4s cubic-bezier(0.665, 0.080, 0.650, 0.710);
				}
			}
		}
	}
}

/* Single style */
.services-single-item {

	* + .title_wrap,
	* + .content_wrap {
		margin-top: 20px;
	}

	* + .slogan_wrap {
		margin-top: 10px;
	}

	.content_wrap {
		.elementor-page & {
			margin-top: 0;
		}
	}

	* + .features_wrap,
	* + .cta_wrap,
	* + .testi_wrap {
		margin-top: 30px;
	}

	.service-features_row + .service-features_row {
		margin-top: 20px;
	}

	.cta_wrap {
		text-align: center;
		.container {
			.service-cta {
				padding-left: 0;
				padding-right: 0;
			}
		}
		.service-cta {
			background: none;
			padding: 60px 25px;
		}
	}

	.service-cta_desc {
		padding: 0;
	}

	.cta-button-wrap,
	.cta-form {
		margin-top: 40px;
	}

	.cta-form_success {
		padding: 5px 15px;
		border: none;
		font-size: 14px;
		color: $color__white;
		background: $color__valid;
		margin-bottom: 1.5em;
	}
}